#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirect ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/ndihxplugin_install.log 2>&1

if [ -z "$1" ] || [ "$1" != "fromacap" ]; then
  killall -9 ndihxplugin
  killall -9 avahi-daemon
fi

# chmod
chmod 750 /usr/local/packages/ndihxplugin/ndihxplugin
chmod 750 /usr/local/packages/ndihxplugin/tools/enable_cgi.sh
chmod 750 /usr/local/packages/ndihxplugin/tools/avahi-daemon

/usr/local/packages/ndihxplugin/tools/enable_cgi.sh

eval $(grep VERSION /usr/local/packages/ndihxplugin/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set ndihxplugin.Version "$VERSION"

eval $(cat /usr/local/packages/ndihxplugin/version_info.txt)
VERSION_HASH="$BRANCH|$COMMIT_SHA|$TIMESTAMP"
parhandclient set ndihxplugin.VersionHash "$VERSION_HASH"

VERSION_REDIRECT="$APPMAJORVERSION-$APPMINORVERSION-$APPMICROVERSION"
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" $(find /usr/local/packages/ndihxplugin/html/ -type f -name "*.html")

# Allow own dbus name in system
cp -f /usr/local/packages/ndihxplugin/tools/dbus_ndihxplugin.conf /usr/local/packages/ndihxplugin/conf/dbus_ndihxplugin.conf
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig # Reload dbus configuration
